QuantLib: NonstandardSwaption Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Classes | Public Member Functions | List of all members
NonstandardSwaption Class Reference
Financial instruments

nonstandard swaption class More...

`#include <ql/instruments/nonstandardswaption.hpp>`

Inheritance diagram for NonstandardSwaption:
[legend]

## Classes
class | arguments
| Arguments for nonstandard swaption calculation More...
class | engine
| base class for nonstandard swaption engines More...

## Public Member Functions
| NonstandardSwaption (const Swaption &fromSwaption)
| NonstandardSwaption (const ext::shared_ptr< NonstandardSwap > &swap, const ext::shared_ptr< Exercise > &exercise, Settlement::Type delivery=Settlement::Physical, Settlement::Method settlementMethod=Settlement::PhysicalOTC)
Instrument interface
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
Public Member Functions inherited from Option
| Option (const ext::shared_ptr< Payoff > &payoff, const ext::shared_ptr< Exercise > &exercise)
void | setupArguments (PricingEngine::arguments *) const
ext::shared_ptr< Payoff > | payoff ()
ext::shared_ptr< Exercise > | exercise ()
Public Member Functions inherited from Instrument
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const ext::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
virtual void | fetchResults (const PricingEngine::results *) const
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Inspectors
Settlement::Type | settlementType () const
Settlement::Method | settlementMethod () const
VanillaSwap::Type | type () const
const ext::shared_ptr< NonstandardSwap > & | underlyingSwap () const
Disposable< std::vector< ext::shared_ptr< BlackCalibrationHelper > > > | calibrationBasket (const ext::shared_ptr< SwapIndex > &standardSwapBase, const ext::shared_ptr< SwaptionVolatilityStructure > &swaptionVolatility, BasketGeneratingEngine::CalibrationBasketType basketType=BasketGeneratingEngine::MaturityStrikeByDeltaGamma) const

## Additional Inherited Members
Public Types inherited from Option
enum | Type { Put = -1, Call = 1 }
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from Instrument
void | calculate () const
virtual void | setupExpired () const
virtual void | performCalculations () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Option
ext::shared_ptr< Payoff > | payoff_
ext::shared_ptr< Exercise > | exercise_
Protected Attributes inherited from Instrument
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
ext::shared_ptr< PricingEngine > | engine_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_
Related Functions inherited from Option
std::ostream & | operator<< (std::ostream &, Option::Type)

## Detailed Description

nonstandard swaption class

## Member Function Documentation

## ◆ setupArguments()

void setupArguments | ( | PricingEngine::arguments * |  | ) | const
| virtual

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Instrument.